Subject: bug#43834: 27.1; [PATCH] Sentinels under X and command line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2020 09:39:28 +0300

> From: [email-masked]
> Cc: [email-masked]
> Date: Tue, 06 Oct 2020 15:16:13 -0400
> 
> Maintainer(s),
> 
> The `emacs -Q` invocation demonstrates the process sentinel never fires upon
> the completion of the sleep `start-process`.  Note this failure only occurs
> under X and when evaluating from the command line via `--eval` or `--funcall`.

Thanks, I figured out that much.  What I was asking for was a more
detailed explanation why you propose to make the specific changes in
your patches to fix that problem.  IOW, how is the change in xsmfns.c
supposed to remedy the problem you describe above?

TIA